> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pcap



## OpenAPI

````yaml /openapi.json post /service/looking_glass/pcap
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/looking_glass/pcap:
    post:
      tags:
        - service - looking glass
        - service - looking glass
      summary: Pcap
      operationId: pcap_service_looking_glass_pcap_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PCAPParams'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    PCAPParams:
      properties:
        vrf_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vrf Name
        gate_vi_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Gate Vi Name
        system_name:
          anyOf:
            - type: string
            - type: 'null'
          title: System Name
        vrf_id:
          type: integer
          title: Vrf Id
        id:
          type: integer
          title: Id
          default: 1
        priority:
          type: integer
          title: Priority
          default: 1
        filters:
          additionalProperties:
            $ref: '#/components/schemas/PcapFilter'
          type: object
          title: Filters
          default: {}
        max_packets:
          type: integer
          title: Max Packets
          default: 200
        timeout_sec:
          type: integer
          title: Timeout Sec
          default: 10
        size:
          type: integer
          title: Size
          default: 256
      type: object
      required:
        - vrf_id
      title: PCAPParams
    ExecutorResponse:
      properties:
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: ExecutorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PcapFilter:
      properties:
        src_network:
          anyOf:
            - type: string
              format: ipv4
            - type: string
              format: ipv6
            - type: 'null'
          title: Src Network
        dst_network:
          anyOf:
            - type: string
              format: ipv4
            - type: string
              format: ipv6
            - type: 'null'
          title: Dst Network
        src_l4_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src L4 Port
        dst_l4_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dst L4 Port
        protocol:
          anyOf:
            - type: string
            - type: 'null'
          title: Protocol
        ingress_vi_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ingress Vi Id
        tcp_control:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tcp Control
        is_fragmented:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Fragmented
        tos:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tos
        traffic_class:
          anyOf:
            - type: integer
            - type: 'null'
          title: Traffic Class
        ttl:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ttl
        hop_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hop Limit
        ip_version:
          type: boolean
          title: Ip Version
          default: false
        ingress_l2_interface_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ingress L2 Interface Id
        pcap_direction:
          $ref: '#/components/schemas/PcapDirection'
          default: 0
      type: object
      title: PcapFilter
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PcapDirection:
      type: integer
      enum:
        - 0
        - 1
        - 2
      title: PcapDirection
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````